import pygtk
pygtk.require("2.0")
import gtk, gtk.glade
import commands
import threading
import os
from pwd import getpwnam
from lxml import etree
import datetime 
import tempfile

import ReplenishServices


class Restore:

	def __init__(self,transmigracion):
		
		BACKUP_FILE=""
		
		self.transmigracion = transmigracion
		self.glade_restore_step1 = gtk.glade.XML("/usr/share/python-support/lliurex-vault/lliurex-migration-restore-step1.glade")
		self.panel_restore_step1 = self.glade_restore_step1.get_widget("fixed_restore_step1")
		self.panel_restore_step1.unparent()
		
		self.glade_restore_step1.signal_autoconnect(self)
		
		
		
	def show(self):
		
		self.panel_restore_step1.show_all()
		self.transmigracion.window_main.add(self.panel_restore_step1)
		
	def prepare_environment(self):
		self.restore_dir=tempfile.mkdtemp(prefix="lliurex-vault-restore")
		
		print self.restore_dir
	
	
	def clean_environment(self):
		os.removedirs(self.restore_dir)
		
	
	def restore_all_from_backup_file(self):
		
		self.prepare_environment()
		
		
		self.clean_environment()
	
	
	
	def on_bt_restore_step1_cancel_clicked(self,widget):
		gtk.main_quit()
		
		
	def on_bt_restore_step1_continue_clicked(self,widget):
		
		
		aux_path=self.glade_restore_step1.get_widget("filechooserbutton_restore").get_filename()
		
		if os.path.exists(aux_path):
			self.BACKUP_FILE=aux_path
			self.restore_all_from_backup_file()
		else:
			pass
		